Xeonr Developer Docs

Request Note Upload

POST
/xeonr.notes.v1.NoteUploadsService/RequestNoteUpload

Requests a presigned upload URL for uploading a file to a note's uploads folder.

AuthorizationBearer <token>

JWT access token obtained via OAuth2 flow or service account

In: header

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

bucketId?string
Length1 <= length
noteId?string
Length1 <= length
filesizeBytes?integer|string
Formatint64
mimeType?string
Length1 <= length
extension?string
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://notes-api.xeonr.io/xeonr.notes.v1.NoteUploadsService/RequestNoteUpload" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{
  "uploadRequestId": "string",
  "uploadsFolderPath": "string",
  "direct": {
    "uploadUrl": "string"
  }
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}